Skip to content

Synastry Chart

POST
/api/calc/synastry

Calculate synastry aspects between two birth charts for relationship analysis.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"dateTime1": "string",
  
"location1": {
  
  
"longitude": 0,
  
  
"latitude": 0,
  
  
"timezone": "string"
  
},
  
"dateTime2": "string",
  
"location2": {
  
  
"longitude": 0,
  
  
"latitude": 0,
  
  
"timezone": "string"
  
},
  
"houseSystem": "placidus",
  
"language": "en",
  
"includeText": false,
  
"includeReadableEntities": false,
  
"points": [
  
  
"string"
  
],
  
"orbs": {
  
  
"additionalProperties": 0
  
}
}

Responses

Calculate synastry chart

application/vnd.api+json
JSON
{
  
"data": {
  
  
"aspects1to2": [
  
  
  
{
  
  
  
  
"pointA": "string",
  
  
  
  
"pointB": "string",
  
  
  
  
"aspect": "string",
  
  
  
  
"angle": 0,
  
  
  
  
"orb": 0,
  
  
  
  
"applying": true,
  
  
  
  
"text": "string"
  
  
  
}
  
  
],
  
  
"aspects2to1": [
  
  
  
{
  
  
  
  
"pointA": "string",
  
  
  
  
"pointB": "string",
  
  
  
  
"aspect": "string",
  
  
  
  
"angle": 0,
  
  
  
  
"orb": 0,
  
  
  
  
"applying": true,
  
  
  
  
"text": "string"
  
  
  
}
  
  
],
  
  
"charts": {
  
  
  
"additionalProperties": {
  
  
  
  
"title": "string",
  
  
  
  
"description": "string",
  
  
  
  
"url": "string"
  
  
  
}
  
  
}
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation